<?php

class actionFeedbacklAjax extends cmsAction {

    public function run() {

        if (!$this->request->isAjax()) {
            cmsCore::error404();
        }

        $grid = $this->loadDataGrid('item');

        $this->model->setPerPage(admin::perpage);

        $filter = array();

        $filter_str = $this->request->get('filter', '');

        $filter_str = cmsUser::getUPSActual('feedbackl.feedbackl', $filter_str);

        if ($filter_str) {

            parse_str($filter_str, $filter);

            $this->model->feedbackapplyGridFilter($grid, $filter);
        }


        $data = $this->model->getFeedbacklItem(100);

        $total = $this->model->getFeedbacklItemTotal();

        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;

        $pages = ceil($total / $perpage);

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $data, $total, $pages);

        $this->halt();
    }

}
