<?php

class actionFeedbacklDeleteComponent extends cmsAction {

    public function run() {

        if (!cmsUser::isAdmin()) {

            cmsCore::error404();
        }

        $core = cmsCore::getInstance();

        $items = $this->model->getFeedbacklItem();
        
        if ($items) {
            foreach ($items as $item) {

                if ($item) {
                    if (isset($item['images'])) {

                        $images = cmsModel::yamlToArray($item['images']);

                        foreach ($images as $image) {

                            foreach ($image as $url) {

                                @unlink(cmsConfig::get('upload_path') . $url);
                            }
                        }
                    }
                }
            }
        }
        $core->db->delete('controllers', 'name = "feedbackl"');

        $core->db->delete('menu_items', 'url = "/feedbackl"');

        $core->db->query('DROP TABLE {#}feedbackl');

//        $uninstall_dirs = array(
//            '0' => $this->root . 'templates/default/feedbackl',
//            '1' => $this->system_path . 'languages/ru/controllers/feedbackl',
//            '2' => $this->system_path . 'controllers/feedbackl'
//        );
//
//        @unlink($this->system_path . 'languages/ru/letters/feedback_new.txt');
//        @unlink($this->system_path . 'languages/ru/letters/feedbackl_notif.txt');
//
//        foreach ($uninstall_dirs as $uninstall_dir) {
//
//            $this->removeDirectory($uninstall_dir);
//        }
//    
     return cmsTemplate::getInstance()->render('backend/delete_component');
    }

}
