<?php

class actionFeedbacklModeratorsDelete extends cmsAction {

    public function run() {

        $model = cmsCore::getModel('moderation');
        if (!$this->request->isAjax()) {
            cmsCore::error404();
        }

        $id = $this->request->get('id', 0);
        if (!$id) {
            cmsCore::error404();
        }

        $moderators = $model->getContentTypeModerators('feedbackl');

        if (!isset($moderators[$id])) {
            return $this->cms_template->renderJSON(array(
                        'error' => true
            ));
        }

        $model->deleteContentTypeModerator('feedbackl', $id);

        return $this->cms_template->renderJSON(array(
                    'error' => false
        ));
    }

}
