<?php
$this->setPageTitle(LANG_FEEDBACKL_CONTROLLER);
$this->addBreadcrumb(LANG_FEEDBACKL_CONTROLLER, href_to('feedbackl'));
If (!isset($viwe)) {
    $this->addBreadcrumb(LANG_FEEDBACKL_OK_MESSAGE);
}
If (isset($viwe)) {
    $this->addCSS('templates/default/css/theme-content.css');
    $this->addBreadcrumb(LANG_FEEDBACKL_OK_MESSAGE, href_to('feedbackl'));
}
?>
<?php if (!isset($viwe)) { ?>
    <h1><?php echo LANG_FEEDBACKL_CONTROLLER; ?>
    </h1>
<?php } ?> 
<div class="content_item">

    <h2><?php
        if (!isset($viwe)) {
            echo LANG_FEEDBACKL_OK_MESSAGE;
        }
        ?></h2>
    <?php if (cmsUser::isAdmin()) { ?>
        <div class="field  auto_field">
            <div class="title_left"><?php echo LANG_FEEDBACKL_USER ?></div>
            <?php if ($items['user_id'] > 0) { ?>
                <?php $user = cmsCore::getModel('users')->getUser($items['user_id']); ?>
                <div class="value"><a href="<?php echo href_to('users', $items['user_id']); ?>"><?php echo $user['nickname']; ?></a> (<?php echo $user['email']; ?>)</div>
            <?php } else { ?>
                <div class="value"><?php echo LANG_FEEDBACKL_GUEST ?></div>
            <?php } ?>
        </div>
    <?php } ?>
    <div class="field  auto_field">
        <div class="title_left"><?php echo LANG_FEEDBACKL_TO ?></div>
        <div class="value"><?php Html($items['name']) ?></div>
    </div>
    <div class="field  auto_field">
        <div class="title_left"><?php echo LANG_FEEDBACKL_E_MAIL ?></div>
        <div class="value"><?php Html($items['email']) ?></div>
    </div>
    <div class="field  auto_field">
        <div class="title_left"><?php echo LANG_FEEDBACKL_TITLE ?></div>
        <div class="value"><?php Html($items['title']) ?></div>
    </div>
    <div class="field  auto_field">
        <div class="title_left"><?php echo LANG_FEEDBACKL_TEXT ?></div>
        <div class="value"><?php echo ($items['message']) ?></div>
    </div>
    <div class="field  auto_field">
        <div class="title_left"> <?php echo LANG_DATE ?></div>
        <div class="value"><?php Html($items['date']) ?></div>
    </div>

    <div class="field  auto_field">
        <div class="title_left"> <?php echo LANG_FEEDBACKL_FILE ?></div>
        <div class="value"><?php if (isset($items['file'])) {
        echo $file;
    } ?></div>
    </div>

</div>
<?php
If (isset($viwe)) {
    echo( html_button(LANG_DELETE, LANG_DELETE, "location.href='" . $this->href_to('delete', $items['id'] . '?back=viwe') . "'"));
}
?>