<?php

function grid_item($controller){

    $options = array(
        'is_draggable' => false,
        'is_pagination' => true,
        'is_sortable' => true,
        'order_by' => 'id',
        'order_to' => 'desc',
        'is_selectable' => true,
    );

    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 20,
            'filter' => 'like'
        ),
        'name' => array(
            'title' =>LANG_NAME,
            'width' => 30,
            'filter' => 'like'
        ),
        'email' => array(
            'title' => LANG_EMAIL,
            'width' => 40,
            'filter' => 'like'
        ),
        'title' => array(
            'title' => LANG_TITLE,
            'href' => href_to($controller->root_url, 'view', array('{id}')),
            'width' => 50,
            'filter' => 'like'
        ),
          'message' => array(
            'title' => LANG_MESSAGE,
            'width' => 250,
            'filter' => 'like'
        ),
            'date' => array(
            'title' => LANG_DATE,
            'width' => 65,
            'filter' => 'like'
        ),
                  
        
    );

    $actions = array(
        array(
            'title' => LANG_VIEW,
            'class' => 'view',
            'href' => href_to($controller->root_url, 'view', array('{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'delete',array('{id}')),
            'confirm' => LANG_DELETE,
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

